## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Upstream's tests now require docker to be running.
%bcond_with     tests

%global         srcname     azure-identity

Name:           python-%{srcname}
Version:        1.17.1
Release:        %autorelease
Summary:        Microsoft Azure Identity Library for Python
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

Epoch:          1

BuildArch:      noarch


BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(azure-devtools)
BuildRequires:  python3dist(azure-mgmt-keyvault)
BuildRequires:  python3dist(azure-mgmt-resource)
BuildRequires:  python3dist(azure-sdk-tools)
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(aiohttp)
BuildRequires:  python3dist(pytest-asyncio)
BuildRequires:  python3dist(python-dotenv)
%endif

%global _description %{expand:
Microsoft Azure Identity Library for Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files azure


%check
%pyproject_check_import

%if %{with tests}
# test_persistent_cache_linux fails with Python 3.12
# we skip it as it's likely problem between mocked objects
# reported upstream: https://github.com/Azure/azure-sdk-for-python/issues/30994
%pytest -k "not test_timeout and not test_persistent_cache_linux"
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md


%changelog
## START: Generated by rpmautospec
* Mon Jul 22 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1:1.17.1-1
- Update to 1.17.1 (close RHBZ#2298150)

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.15.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1:1.15.0-2
- Rebuilt for Python 3.13

* Thu Mar 07 2024 Jeremy Cline <jeremycline@microsoft.com> - 1:1.15.0-1
- Bump to v1.15

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.14.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Jan 21 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.14.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Oct 25 2023 Major Hayden <major@redhat.com> - 1:1.14.0-1
- Update to 1.14.0 rhbz#2244515

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.10.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jul 04 2023 Karolina Surma <ksurma@redhat.com> - 1:1.10.0-8
- Skip test failing with Python 3.12

* Sun Jul 02 2023 Python Maint <python-maint@redhat.com> - 1:1.10.0-7
- Rebuilt for Python 3.12

* Wed May 17 2023 Major Hayden <major@redhat.com> - 1:1.10.0-6
- Migrated to SPDX license

* Mon May 08 2023 Major Hayden <major@redhat.com> - 1:1.10.0-5
- S

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.10.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.10.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 27 2022 Major Hayden <major@redhat.com> - 1:1.10.0-2
- Enable tests w/GitHub source code

* Tue Jun 14 2022 Major Hayden <major@redhat.com> - 1:1.10.0-1
- Update to 1.10.0

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1:1.9.0-2
- Rebuilt for Python 3.11

* Wed Apr 27 2022 Major Hayden <major@mhtx.net> - 1:1.9.0-1
- Update to 1.9.0

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1:1.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Tue Nov 02 2021 Major Hayden <major@mhtx.net> - 1:1.6.1-1
- Update to 1.6.1

* Wed Sep 08 2021 Major Hayden <major@mhtx.net> - 1:1.5.0-3
- Move obsoletes into subpackage

* Fri Jul 23 2021 Major Hayden <major@mhtx.net> - 1:1.5.0-2
- Add epoch number for 1.5.0 downgrade

* Thu Jul 22 2021 Major Hayden <major@mhtx.net> - 1:1.5.0-1
- Downgrade to 1.5.0

* Fri Jun 18 2021 Major Hayden <major@mhtx.net> - 1.6.0-1
- Initial import (#1971760)
## END: Generated by rpmautospec
